xine-lib: demux_ogg_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_ogg_s Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
fifo_buffer_t * | video_fifo
input_plugin_t * | input
int | status
int | frame_duration
ogg_sync_state | oy
ogg_page | og
int64_t | start_pts
int64_t | last_pts [2]
int | time_length
int | num_streams
stream_info_t * | si [32]
int | num_audio_streams
int | num_video_streams
int | unhandled_video_streams
int | num_spu_streams
off_t | avg_bitrate
char * | meta [XINE_STREAM_INFO_MAX]
chapter_info_t * | chapter_info
xine_event_queue_t * | event_queue
uint8_t | send_newpts:1
uint8_t | buf_flag_seek:1
uint8_t | keyframe_needed:1
uint8_t | ignore_keyframes:1

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_ogg_s::audio_fifo

## ◆ avg_bitrate

off_t demux_ogg_s::avg_bitrate

## ◆ buf_flag_seek

uint8_t demux_ogg_s::buf_flag_seek

## ◆ chapter_info

chapter_info_t* demux_ogg_s::chapter_info

## ◆ demux_plugin

demux_plugin_t demux_ogg_s::demux_plugin

## ◆ event_queue

xine_event_queue_t* demux_ogg_s::event_queue

## ◆ frame_duration

int demux_ogg_s::frame_duration

## ◆ ignore_keyframes

uint8_t demux_ogg_s::ignore_keyframes

## ◆ input

input_plugin_t* demux_ogg_s::input

## ◆ keyframe_needed

uint8_t demux_ogg_s::keyframe_needed

## ◆ last_pts

int64_t demux_ogg_s::last_pts[2]

## ◆ meta

char* demux_ogg_s::meta[XINE_STREAM_INFO_MAX]

## ◆ num_audio_streams

int demux_ogg_s::num_audio_streams

## ◆ num_spu_streams

int demux_ogg_s::num_spu_streams

## ◆ num_streams

int demux_ogg_s::num_streams

## ◆ num_video_streams

int demux_ogg_s::num_video_streams

## ◆ og

ogg_page demux_ogg_s::og

## ◆ oy

ogg_sync_state demux_ogg_s::oy

## ◆ send_newpts

uint8_t demux_ogg_s::send_newpts

## ◆ si

stream_info_t* demux_ogg_s::si[32]

## ◆ start_pts

int64_t demux_ogg_s::start_pts

## ◆ status

int demux_ogg_s::status

## ◆ stream

xine_stream_t* demux_ogg_s::stream

## ◆ time_length

int demux_ogg_s::time_length

## ◆ unhandled_video_streams

int demux_ogg_s::unhandled_video_streams

## ◆ video_fifo

fifo_buffer_t* demux_ogg_s::video_fifo

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/combined/xine_ogg_demuxer.c